// 최상위 build.gradle (프로젝트 루트의 android/build.gradle)

buildscript {
    repositories {
        google()
        mavenCentral()
    }
    dependencies {
        // ★ Android Gradle Plugin 버전 지정
        classpath "com.android.tools.build:gradle:8.2.1"
        // 만약 Kotlin 버전 등의 추가 classpath가 필요하면 여기에 추가
        // classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:1.8.10" 
        classpath 'com.google.gms:google-services:4.4.2'
    }
}

// 기존 내용 유지
allprojects {
    repositories {
        google()
        mavenCentral()
    }
}

rootProject.buildDir = "../build"

subprojects {
    project.buildDir = "${rootProject.buildDir}/${project.name}"
}
subprojects {
    project.evaluationDependsOn(":app")
}

tasks.register("clean", Delete) {
    delete rootProject.buildDir
}
